> ## Documentation Index
> Fetch the complete documentation index at: https://koreai.mintlify.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Customer Data Status

<Badge icon="arrow-left" color="gray">[Back to API List](/ai-for-service/apis/automation/api-list)</Badge>

Returns the status of a [Delete Customer Data API](/ai-for-service/apis/automation/delete-customer-data) request.

<Note>
  This API requires a JWT generated by an application created only from the Admin Console.
</Note>

| Property          | Value                                                                                                                              |
| ----------------- | ---------------------------------------------------------------------------------------------------------------------------------- |
| **Method**        | GET                                                                                                                                |
| **Endpoint**      | `https://{{host}}/api/public/bot/eraseUsersData/status/:reqId`                                                                     |
| **Content Type**  | `application/json`                                                                                                                 |
| **Authorization** | `auth: {{JWT}}` — See [How to generate the JWT Token](/ai-for-service/apis/automation/api-introduction/#generating-the-jwt-token). |
| **API Scope**     | App Builder: Not Applicable; Admin Console: Profile Management > Delete Users Data                                                 |

## Path Parameters

| Parameter | Description                                                   |
| --------- | ------------------------------------------------------------- |
| `host`    | Environment URL, for example, `https://platform.kore.ai`      |
| `reqId`   | Request ID generated by the Delete Customer Data API request. |

## Sample Request

```bash theme={null}
curl -X GET \
   https://{{host}}/api/public/bot/eraseUsersData/status/{{delete request Id}} \
  -H 'Content-Type: application/json' \
  -H 'auth: {{YOUR_JWT_ACCESS_TOKEN}}'
```

## Sample Response

```json theme={null}
{
    "_id" : "eud-xxx-xxx-xxx-xxx-xxxxxxx",
    "createdOn" : "2019-09-26T08:42:53.552Z",
    "lastUpdatedOn" : "2019-09-26T08:42:53.972Z",
    "RemoveDataFromAllBots" : true,
    "response" : [
        {
            "userId" : "u-xxxxx-xxx-xxx-xxx-xxxxxxx",
            "status" : "SUCCESS"
        }
    ]
}
```
